%{?nodejs_find_provides_and_requires}

%global packagename filename-regex
%global enable_tests 1

Name:		nodejs-filename-regex
Version:	2.0.0
Release:	2%{?dist}
Summary:	Regular expression for matching file names

License:	MIT
URL:		https://github.com/regexps/filename-regex.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/regexps/%{packagename}/%{version}/test.js
# The LICENSE file is not in the npm tarball.
Source2:	https://raw.githubusercontent.com/regexps/filename-regex/%{version}/LICENSE


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Regular expression for matching file names, with or without extension.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# copy the license file
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb  3 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
